Cannot open anaconda suddenly

Posted on

Question :

Cannot open anaconda suddenly

Today I found I cannot open anaconda navigator, which operated just fine before. At the same time, spyder could not be open either, but jupyter notebook and anaconda prompt are available. I tried different methods following instructions online.

1) conda update anaconda-navigator and reboot the system
2) anaconda-navigator --reset

, but it shows the error as follows:

Traceback (most recent call last):
  File "C:UsersUserAnaconda3libsite-packagesqtpy__init__.py", line 169, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ImportError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:UsersUserAnaconda3Scriptsanaconda-navigator-script.py", line 6, in <module>
    from anaconda_navigator.app.main import main
  File "C:UsersUserAnaconda3libsite-packagesanaconda_navigatorappmain.py", line 22, in <module>
    from anaconda_navigator.utils.conda import is_conda_available
  File "C:UsersUserAnaconda3libsite-packagesanaconda_navigatorutils__init__.py", line 15, in <module>
    from qtpy.QtGui import QIcon
  File "C:UsersUserAnaconda3libsite-packagesqtpy__init__.py", line 175, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

(base) C:UsersUserAnaconda3>anaconda-navigator --reset
Traceback (most recent call last):
  File "C:UsersUserAnaconda3libsite-packagesqtpy__init__.py", line 169, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ImportError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:UsersUserAnaconda3Scriptsanaconda-navigator-script.py", line 6, in <module>
    from anaconda_navigator.app.main import main
  File "C:UsersUserAnaconda3libsite-packagesanaconda_navigatorappmain.py", line 22, in <module>
    from anaconda_navigator.utils.conda import is_conda_available
  File "C:UsersUserAnaconda3libsite-packagesanaconda_navigatorutils__init__.py", line 15, in <module>
    from qtpy.QtGui import QIcon
  File "C:UsersUserAnaconda3libsite-packagesqtpy__init__.py", line 175, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

So I tried different methods to reinstall pyqt as follows:

1) conda install pyqt
2) conda install --force qt 
3) pip3 install PyQt5

But still not working. I really wonder how I could fix this.

And now when I ran anaconda navigator in the prompt, I got

anaconda: error: argument : invalid choice: 'navigator' (choose from 'auth', 'label', 'channel', 'config', 'copy', 'download', 'groups', 'login', 'logout', 'notebook', 'package', 'remove', 'search', 'show', 'upload', 'whoami')

PS: my python version is 3.5, and anaconda has been updated to the latest version.

PS2-Possible Solution: I ran conda install PySide on prompt and it downgraded some of the packages, where I remembered few days ago I upgraded beautifulsou4, please be very aware when upgrading packages on anaconda !

Asked By: exteral

||

Answer #1:

This error means that you installed pyqt5 with pip along side the pyqt conda package. It could be solved by you uninstalling the pip package.
Try:

pip uninstall PyQt5

Then update conda:

conda update conda

and

conda update anaconda-navigator

It will surely resolve your problem.

Answered By: exteral

Answer #2:

I tried all the solutions listed here but they didn’t work for me. Later I was able to resolve the issue. Even though your solutions didn’t directly solve my issue, the steps I used to solve it were based on the answers I found here. I will now list the steps I used to solve my issue:

  1. python -V # I checked the python version to make sure it’s python 3.4 and above
  2. conda update conda
  3. conda update anaconda-navigator
  4. pip install PySide2
  5. pip uninstall pyqt
  6. pip uninstall PyQt5

Now when doing step 5&6 both pyqt and PyQt5 were not installed on the system, which was the cause of the issue

  1. pip install qtpy # This module was already installed on the system
  2. pip install PyQt5 # This was the final step that solved the issue

Answer #3:

I had exactly this problem. Same error message and all.

To fix I first updated Conda:

$ conda update conda

Then updated the navigator

$ conda update anaconda-navigator

This performed an integrity check (though it took a while – you have to be patient) and found that the environment was inconsistent. It created a package plan to download and install new packages and updates as well as downgrade some packages. It asked me to approve the change before performing the change and updating the specs.
Having approved it, all was performed flawlessly and I was able to relaunch Anaconda navigator without a problem.

Answered By: Divinity

Answer #4:

I tried all the answers provided. Some steps worked some didn’t. So I will just tell all the steps which finally after many trials and fails worked for me:

  1. cd C:UsersUserNameAnacondaScripts
  2. pip install PySide2
  3. pip uninstall PyQt5
  4. pip uninstall pyqt (on this I got this error- WARNING: Skipping pyqt as it is not installed. So not sure if this is helpful)
  5. conda update conda
  6. conda update
  7. anaconda-navigator

Answer #5:

I just had a similar problem with Navigator. I typed anaconda-navigator on the command line and it opened fine. This doesn’t explain why it won’t open from the icon but does offer a work-around.

Answered By: mudita

Answer #6:

Currently I have two anaconda prompt windows open on my screen, one normal, and one that is running as an Admin.

When I try ‘anaconda-navigator’ in the normal window, I get the same errors as you.

When I try the same command in the admin rights window, then it all works.

This isn’t really a fix, but it might point someone more experienced in the right direction.

Answered By: Natsfan

Answer #7:

The real fix that worked for me was to install the module that was causing the error, that is the PySide module. Do not install PySide (pip install PySide) unless you are using Python 3.4 or less. If you are running Python 3.4 and up (up to 3.7), you need to install PySide2 (pip install PySide2).

None of the other answers worked for me at all because the error was the same all over again.

Answered By: NAP_time

Answer #8:

Uninstalled PyQt5

pip uninstall PyQt5

and installed qtpy

pip install qtpy

worked for me

Answered By: IAM_SNAKE

Leave a Reply

Your email address will not be published.